2019-10-19 12:22 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003096FSSCPFRED graphicspublic2015-11-29 18:51
ReporterYarn 
Assigned ToYarn 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindows 7OS Version
Product Version3.7.1 
Target VersionFixed in Version3.7.4 
Summary0003096: FOV discrepancy in briefing editor
DescriptionIn the briefing editor, the icons and ship labels are rendered using the correct FOV, so they're in the correct positions. However, the grid and ship models (or dots if models are disabled) are displayed using a slightly narrower FOV, resulting in ship labels not always being rendered where the ship is. The attached screenshot shows what this looks like.

This makes the briefing editor a bit awkward to use. If someone wants to select a ship, for example, that person must click on the ship's label, not the ship itself, which is in a different location.

Remember that the labels and icons are fine; it's everything else in the briefing editor, including the grid, that's being rendered with a too-narrow FOV.
Steps To ReproduceSimply start up FRED, go to the briefing editor, and notice how the ship is not where the label is.
Additional InformationThis bug appears to have been introduced sometime between 3.6.9 and the earliest 3.6.10 nightly that I could find (r4814).
TagsNo tags attached.
Attached Files

-Relationships
related to 0003016resolvedMageKing17 Briefing window FOV is too wide 
+Relationships

-Notes

~0016350

Yarn (developer)

I recently noticed that the main editor view also has a similar FOV discrepancy, although it's probably not as bad (but should still be fixed).

~0016353

Goober5000 (administrator)

I've noticed the same bug too. Never really thought about it but you're right, it's likely a difference in FOV rendering. Seems to be more severe on widescreen resolutions.

~0016794

Yarn (developer)

Pull request: https://github.com/scp-fs2open/fs2open.github.com/pull/478

~0016795

Goober5000 (administrator)

Yarn's PR fixes both the briefing FOV error as well as the main grid FOV error. :yes: Superb work.
+Notes

-Issue History
Date Modified Username Field Change
2014-08-17 13:34 Yarn New Issue
2014-08-17 13:34 Yarn File Added: BriefingEditor_mantis3096.png
2014-08-17 13:34 Yarn Relationship added related to 0003016
2014-10-24 17:06 Yarn Note Added: 0016350
2014-10-24 22:29 Goober5000 Note Added: 0016353
2014-10-24 22:29 Goober5000 Status new => confirmed
2015-11-29 17:48 Yarn Note Added: 0016794
2015-11-29 18:51 Goober5000 Note Added: 0016795
2015-11-29 18:51 Goober5000 Assigned To => Yarn
2015-11-29 18:51 Goober5000 Status confirmed => resolved
2015-11-29 18:51 Goober5000 Resolution open => fixed
2015-11-29 18:51 Goober5000 Fixed in Version => 3.7.4
+Issue History